import argparse

class OgCenter():
    @staticmethod
    def add_center(rest, args):
        parser = argparse.ArgumentParser(prog='ogcli add center')
        parser.add_argument('--name',
                            nargs='?',
                            required=True,
                            help='Name of the center')
        parser.add_argument('--desc',
                            nargs='?',
                            required=False,
                            help='(Optional) Provide a more detailed description of the center')
        parsed_args = parser.parse_args(args)
        payload = {'name': parsed_args.name}
        if parsed_args.desc:
            payload['comment'] = parsed_args.desc
        rest.post('/center/add', payload=payload)

    @staticmethod
    def delete_center(rest, args):
        parser = argparse.ArgumentParser(prog='ogcli delete center')
        parser.add_argument('--id',
                            nargs='?',
                            required=True,
                            help='center id in database')
        parsed_args = parser.parse_args(args)
        payload = {'id': parsed_args.id}
        rest.post('/center/delete', payload=payload)
